/**
 * Get speaker lists, individual speakers, and speaker courses with AJAX
 */
function getFacultyList(url, outputSpace, outputPage) {
	var output = $(outputSpace);
	output.html("<li>Loading...</li>").listview("refresh");
	$.ajax({
		url : url,
		dataType : 'json',
		async : true,
		cache : false,
		timeout : 15000,
		success : function(data, status) {
			listdata = '';
			output.html("");
			$.each(data.persons, function(i, item) {
				listdata += '<li>';
				// alert(JSON.stringify(this.person.title_1));
				listdata += '<a href="#faculty-person?fnid='
						+ this.person.nid + '" id="'
						+ this.person.nid + '" onClick="sessionStorage.fnid='
						+ this.person.nid + '">' + this.person.title_1
						+ '<br /><span style="font-weight: normal;" >'
						+ this.person.field_title_value	+ '</span></a>';
				listdata += '</li>';
			});
			if (listdata != '') {
				output.append(listdata).listview("refresh");
			} else {
				output.append('<li>No faculty to list here.  Check back later')
					.listview("refresh");
			}
		},
		error : function() {
			output.html("");
			output.append('<li>There was an error loading this content. Please check your Internet connection.  It is required to view this page.  If you continue to have problems please email webmaster@acton.org.</li>')
				.listview("refresh");
			bindRefresh(outputPage);
		}
	});
}

function getFacultyPerson() {
	var nid = sessionStorage.getItem('fnid');
	var output = $('.facultyoutput');
	output.html("<p>Loading...</p>");
	$.ajax({
		url : 'http://university.acton.org/nid/' + nid + '/2015faculty_individual.json',
		dataType : 'json',
		async : true,
		cache : false,
		timeout : 15000,
		success : function(data, status) {
			output.html("");
			listData = '';
			$.each(data.persons, function(i, item) {
				// alert(JSON.stringify(this.person.title_1));
				listData += '<h3>' + this.person.title_1 + '</h3>';
				if (this.person.field_photo_fid.length !== null) {
					listData += '<img src="' + this.person.field_photo_fid 
						+ '" class="faculty_photo"/>';
				}
				listData += '<p class="faculty_title">' + this.person.field_title_value 
					+ '</p>';
				listData += '<p>' + this.person.body + '</p>';
			});
			output.append(listData)
			$('.facultyoutput a').attr("target", "_blank");
			getFacultyCourses(nid, output);
		},
		error : function() {
			output.html('<p>There was an error loading this content. Please check your Internet connection.  It is required to view this page.</p>');
		}
	});
}

function getFacultyCourses(nid, output) {
	$.ajax({
		url : 'http://university.acton.org/nid/' + nid + '/faculty_course.json',
		dataType : 'json',
		async : true,
		cache : false,
		timeout : 15000,
		success : function(data, status) {
			tempData = '';
			listData = '';
			$.each(data.facultycourses, function(i, item) {
				tempData += '<li class="wraptext"><a href="#schedule-course?nid="'
					+ this.course.nid + '" onClick="sessionStorage.cnid='
					+ this.course.nid + '">' + this.course.title + '</a></li>';
			});
			if (tempData !== '') {
				listData = '<h3>Teaching These Courses</h3><ul data-role="listview" data-inset="false" data-theme="a" id="courseList">';
			}
			tempData += '</ul>';
			listData += tempData;
			output.append(listData);
			$('#courseList').listview();
		},
		error : function() {
			output.html('<p>There was an error loading this content. Please check your Internet connection.  It is required to view this page.</p>');
		}
	});
}
