/**
 * Get a full faculty list with AJAX
 */
function getDayList(url, outputSpace, outputPage) {
	var output = $(outputSpace);
	$
			.ajax({
				url : url,
				type: 'GET',
				dataType : 'json',
				async : true,
				cache : false,
				timeout : 15000,
				success : function(data, status) {
					listdata = '';
					output.html("");
					$
							.each(
									data.sessions,
									function(i, item) {
										listdata += '<li class="session_cell">';
										listdata += '<h3 class="session_time">'
												+ this.session.field_time_value2
												+ '</h3>';
										listdata += '<h5 class="session_title">'
												+ this.session.title + '</h5>';

										if(this.session.courses_title != undefined && typeof this.session.courses_title != 'string'){
											courseNids = this.session.courses_nid;
											listdata += '</li>';
											$
													.each(
															this.session.courses_title,
															function(i, item) {
																listdata += '<a href="#schedule-course?nid="'
																		+ courseNids[i]
																		+ '" onClick="sessionStorage.cnid='
																		+ courseNids[i]
																		+ '"><li class="course_title" data-theme="b">'
																		+ this
																		+ '</a></li>';
																// alert(courseNids[i]);
															});
										} else {
											listdata += '</li>';
										}
									});

					//hidePageLoad();
					output.append(listdata).listview("refresh");
				},
				error : function() {
					output.html("");
					output
							.append(
									'<li>There was an error loading this content. Please check your Internet connection.  It is required to view this page.  If you continue to have problems please email webmaster@acton.org.</li>')
							.listview("refresh");
					bindRefresh(outputPage);
				}
			});
}

/**
 * Get an individual faculty with JSON
 */
function getScheduleCourse() {
	var nid = sessionStorage.getItem('cnid');
	var output = $('.courseoutput');
	output.html("");
	$
			.ajax({
				url : 'http://university.acton.org/nid/' + nid
						+ '/schedule_course.json',
				dataType : 'json',
				async : true,
				cache : true,
				timeout : 15000,
				success : function(data, status) {
					$
							.each(
									data.sessions,
									function(i, item) {
						                  var courseName = '<h3 class="course_title">'+this.session.title+'</h3>';
						                  var courseSession = '<h5>' + this.session.session + '</h5>';
						                  var courseTime = '<h5>' + this.session.time + '</h5>';
						                  if(typeof this.session.instructor != 'string'){
						                  	var courseInstructor = '<p class="course_instructor">Taught by ';
						                  	$.each(this.session.instructor, function(i, inst){
						                  		courseInstructor += ' ' + this + ','
						                  		
						                  	});
						                  	courseInstructor = courseInstructor.substring(0, courseInstructor.length-1);
						                  	courseInstructor += '</p>';
						                  }else{
						                  	var courseInstructor = '<p class="course_instructor">Taught by ' + this.session.instructor.toString() + '</p>';
						                  }
						                  
						                  var coursePrereq = '';
						                  if(this.session.prereq !== undefined){
						                  coursePrereq = '<p class="course_rereq">Recommended Prerequisite: ' + this.session.prereq + '</p>';
						                  }
						                  var courseBody = '<p class="course_body">' + this.session.body + '</p>';
						                  output.append(courseName);
						                  output.append(courseSession);
						                  output.append(courseTime);
						                  output.append(courseInstructor);
						                  output.append(coursePrereq);
						                  output.append(courseBody);
									});
					$('.courseoutput a').attr("target", "_blank");

				},
				error : function() {
					output
							.html('<p>There was an error loading this content. Please check your Internet connection.  It is required to view this page.</p>');
				}
			});
}